## festlex-cmu 1.2.1

=== Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission to use, copy, modify, distribute this software and its    ##
##  documentation for any purpose is hereby granted without fee,         ##
##  subject to the following conditions:                                 ##
##   1. Redistributions of source code must retain the above copyright   ##
##      notice, this list of conditions and the following disclaimer.    ##
##   2. Redistributions in binary form must reproduce the above          ##
##      copyright notice, this list of conditions and the following      ##
##      disclaimer in the documentation and/or other materials provided  ##
##      with the redistribution.                                         ##
##   3. Neither the name of the University nor the names of its          ##
##      contributors may be used to endorse or promote products derived  ##
##      from this software without specific prior written permission.    ##
##   4. Any modifications must be clearly marked as such.                ##
##   5. Original authors' names, if present, remain.                     ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Alan W Black (awb@cstr.ed.ac.uk) May 1997                            ##
##                                                                       ##
##  Programs to covert the CMU LEXICON to a form suitable for use in     ##
##  festival.  Note this is for version 0.1 (which is pretty ancient)    ##
##                                                                       ##
##  Note this includes a patch to add part of speech to the lexicon for  ##
##  homogrpahs which can be distinguished by part of speech              ##
##                                                                       ##
##  This requires the CMULEX which is available from                     ##
##       http://www.speech.cs.cmu.edu/cgi-bin/cmudict                    ##
##  The Copyright on the CMU lexicon is                                  ##
##    The Carnegie Mellon Pronouncing Dictionary [cmudict.0.1] is        ##
##    Copyright 1993 by Carnegie Mellon University. Use of this          ##
##    dictionary, for any research or commercial purpose, is             ##
##    completely unrestricted.  If you make use of or redistribute       ##
##    this material, we would appreciate acknowlegement of its origin.   ##
##                                                                       ##
## CSTR gratefully acknowledges CMU for the use of this lexicon          ##
##                                                                       ##
###########################################################################

SRCS = cmu2ft
FILES = Makefile $(SRCS) cmu_lex.diff 

cmu_lex.out: cmu_lex.scm
	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
	  echo "(require 'radio_phones)"; \
          echo "(lex.compile \"cmu_lex.scm\" \"cmu_lex.out\")" ) | \
	festival -q

cmu_lex.scm: 
	./cmu2ft cmudict.0.1 >cmu_lex.scm
	patch <cmu_lex.diff

backup:
	tar zcvf cmulex2ft.tar.gz $(FILES)

## festlex-cmu 1.3.0

=== lib/dicts/cmu/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1998                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission to use, copy, modify, distribute this software and its    ##
##  documentation for any purpose is hereby granted without fee,         ##
##  subject to the following conditions:                                 ##
##   1. Redistributions of source code must retain the above copyright   ##
##      notice, this list of conditions and the following disclaimer.    ##
##   2. Redistributions in binary form must reproduce the above          ##
##      copyright notice, this list of conditions and the following      ##
##      disclaimer in the documentation and/or other materials provided  ##
##      with the redistribution.                                         ##
##   3. Neither the name of the University nor the names of its          ##
##      contributors may be used to endorse or promote products derived  ##
##      from this software without specific prior written permission.    ##
##   4. Any modifications must be clearly marked as such.                ##
##   5. Original authors' names, if present, remain.                     ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Alan W Black (awb@cstr.ed.ac.uk) June 1998                           ##
##                                                                       ##
##  Programs to covert the CMU LEXICON to a form suitable for use in     ##
##  festival.  Note this is for version 0.4                              ##
##                                                                       ##
##  Note this includes a patch to add part of speech to the lexicon for  ##
##  homographs which can be distinguished by part of speech              ##
##                                                                       ##
##  This requires the CMULEX which is available from                     ##
##       http://www.speech.cs.cmu.edu/cgi-bin/cmudict                    ##
##  The Copyright on the CMU lexicon is                                  ##
##    The Carnegie Mellon Pronouncing Dictionary [cmudict.0.4] is        ##
##    Copyright 1995 by Carnegie Mellon University. Use of this          ##
##    dictionary, for any research or commercial purpose, is             ##
##    completely unrestricted.  If you make use of or redistribute       ##
##    this material, we would appreciate acknowlegement of its origin.   ##
##                                                                       ##
## CSTR gratefully acknowledges CMU for the use of this lexicon          ##
##                                                                       ##
###########################################################################

SRCS = cmu2ft
RUNTIME = cmulex.scm cmu_lts_rules.scm cmudict-0.4.out
FILES = Makefile $(SRCS) cmudict-0.4.scm cmudict-0.4.diff 

# Can optionally reduce the lexicon size by removing those entries that
# the LTS system correctly predict.
reduce:
	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
	  echo "(require 'radio_phones)"; \
	  echo "(require 'lts_build)"; \
          echo "(reduce_lexicon \"cmudict-0.4.out\" \"cmudict-0.4.exception.out\" cmu_lts_function)" ) | \
	festival -q

cmudict-0.4.out: cmudict-0.4.scm
	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
	  echo "(require 'radio_phones)"; \
          echo "(lex.compile \"cmudict-0.4.scm\" \"cmudict-0.4.out\")" ) | \
	festival -q

cmudict-0.4.scm: 
	./cmu2ft cmudict.0.4 cmudict-0.4.scm
	patch <cmudict-0.4.diff

backup:
	tar zcvf cmudict04.tar.gz $(FILES)

## festlex-cmu 1.4.0

=== lib/dicts/cmu/Makefile ===
--- 
+++ 
@@ -5,20 +5,19 @@
 ##                         Copyright (c) 1998                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
-##  Permission to use, copy, modify, distribute this software and its    ##
-##  documentation for any purpose is hereby granted without fee,         ##
-##  subject to the following conditions:                                 ##
-##   1. Redistributions of source code must retain the above copyright   ##
-##      notice, this list of conditions and the following disclaimer.    ##
-##   2. Redistributions in binary form must reproduce the above          ##
-##      copyright notice, this list of conditions and the following      ##
-##      disclaimer in the documentation and/or other materials provided  ##
-##      with the redistribution.                                         ##
-##   3. Neither the name of the University nor the names of its          ##
-##      contributors may be used to endorse or promote products derived  ##
-##      from this software without specific prior written permission.    ##
-##   4. Any modifications must be clearly marked as such.                ##
-##   5. Original authors' names, if present, remain.                     ##
+##  Permission is hereby granted, free of charge, to use and distribute  ##
+##  this software and its documentation without restriction, including   ##
+##  without limitation the rights to use, copy, modify, merge, publish,  ##
+##  distribute, sublicense, and/or sell copies of this work, and to      ##
+##  permit persons to whom this work is furnished to do so, subject to   ##
+##  the following conditions:                                            ##
+##   1. The code must retain the above copyright notice, this list of    ##
+##      conditions and the following disclaimer.                         ##
+##   2. Any modifications must be clearly marked as such.                ##
+##   3. Original authors' names are not deleted.                         ##
+##   4. The authors' names are not used to endorse or promote products   ##
+##      derived from this software without specific prior written        ##
+##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
@@ -55,7 +54,19 @@
 
 SRCS = cmu2ft
 RUNTIME = cmulex.scm cmu_lts_rules.scm cmudict-0.4.out
-FILES = Makefile $(SRCS) cmudict-0.4.scm cmudict-0.4.diff 
+FILES = Makefile COPYING $(SRCS) cmudict-0.4.scm cmudict-0.4.diff 
+
+cmudict-0.4.out: cmudict-0.4.scm cmudict_extensions.scm
+	cat cmudict-0.4.scm cmudict_extensions.scm >all.scm
+	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
+	  echo "(require 'radio_phones)"; \
+          echo "(lex.compile \"all.scm\" \"cmudict-0.4.out\")" ) | \
+	festival -q
+	rm -f all.scm
+
+cmudict-0.4.scm: 
+	./cmu2ft cmudict.0.4 cmudict-0.4.scm
+	patch <cmudict-0.4.diff
 
 # Can optionally reduce the lexicon size by removing those entries that
 # the LTS system correctly predict.
@@ -66,15 +77,5 @@
           echo "(reduce_lexicon \"cmudict-0.4.out\" \"cmudict-0.4.exception.out\" cmu_lts_function)" ) | \
 	festival -q
 
-cmudict-0.4.out: cmudict-0.4.scm
-	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
-	  echo "(require 'radio_phones)"; \
-          echo "(lex.compile \"cmudict-0.4.scm\" \"cmudict-0.4.out\")" ) | \
-	festival -q
-
-cmudict-0.4.scm: 
-	./cmu2ft cmudict.0.4 cmudict-0.4.scm
-	patch <cmudict-0.4.diff
-
 backup:
 	tar zcvf cmudict04.tar.gz $(FILES)

## festlex-cmu 2.4

=== debian/changelog ===
festlex-cmu (2.4-2) unstable; urgency=medium

  * Team upload.
  * patches/festival-path: Turn 1.0 format changes to a patch.
  * source/format: Set to 3.0 (quilt) format.
  * rules: rename build-indep to override_dh_auto_build (Closes: Bug#952235)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Feb 2020 14:51:05 +0100

festlex-cmu (2.4-1) unstable; urgency=medium

  * New (mwa) upstream release
  * Update d/watch now it supports directories
  * Bump standards version to 4.0.0 (no changes)
  * Bump dh compat level to 10
  * Drop version from festival in Depends, even wheezy is newer
  * Fix upstream Makefile to use system version of festival

 -- Paul Gevers <elbrus@debian.org>  Sun, 16 Jul 2017 21:15:26 +0200

festlex-cmu (1.4.0-8) unstable; urgency=medium

  * Change build target in d/rules to build-indep as the buildd didn't
    pick up the target (I must have been sleeping)

 -- Paul Gevers <elbrus@debian.org>  Wed, 04 Nov 2015 11:20:23 +0100

festlex-cmu (1.4.0-7) unstable; urgency=medium

  * Take over maintenance by TTS team.
  * Add d/compat (level 9) and bump debhelper B-D to 9 (Closes: #800184)
  * Migrate to shortstyle debhelper
  * Bump Standards to 3.9.6
  * Set source format to 1.0 (I use dgit for now) and prevent dpkg-source
    from failing on .git tree
  * Add watch file to detect new versions (althought currently that is
    pointing to a "new" 2.4 release which is the same as the current
    release)

 -- Paul Gevers <elbrus@debian.org>  Tue, 03 Nov 2015 18:08:48 +0100

festlex-cmu (1.4.0-6) unstable; urgency=low

  * Updated Maintained address to @d.o (pre-Sarge).
  * Standards-Version: 3.6.1 (no changes)

 -- Matthias Urlichs <smurf@debian.org>  Sat,  3 Apr 2004 12:39:31 +0200

festlex-cmu (1.4.0-5) unstable; urgency=low

  * debian/control: Priority: changed to optional.

 -- Matthias Urlichs <smurf@smurf.noris.de>  Tue,  1 Jul 2003 15:47:33 +0200

festlex-cmu (1.4.0-4) unstable; urgency=low

  * Require festival >= 1.4.3-9 (migration to /usr/share).

 -- Matthias Urlichs <smurf@smurf.noris.de>  28 Jun 2003 13:47:37 +0200

festlex-cmu (1.4.0-3) unstable; urgency=low

  * Install in /usr/share.
   
  * Don't clean the *.out files: we may not have festival installed yet...

 -- Matthias Urlichs <smurf@smurf.noris.de>  27 May 2003 20:16:33 +0200

festlex-cmu (1.4.0-2) unstable; urgency=low

  * New maintainer.
   
  * Removed bashism and debhelper cruft from debian/rules.
  * Updated Standards-Version.
  * Re-worded description to be more standard.
  * Do not depend on festival being installed when building.

 -- Matthias Urlichs <smurf@smurf.noris.de>  18 Apr 2003 18:15:46 +0200

festlex-cmu (1.4.0-1) unstable; urgency=low

  * New upstream release.  Is now free software.

 -- David Huggins-Daines <dhd@debian.org>  Sun,  7 Nov 1999 00:11:05 -0500

festlex-cmu (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Dropped some of the .scm files from binary package.
  * Actually compile the .out file, instead of using the shipped one.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 29 Jan 1999 16:24:05 -0800

festlex-cmu (1.3.0-2) unstable; urgency=low

  * Added in two .scm files I accidentiall left out of the last version.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Aug 1998 23:26:16 -0700

festlex-cmu (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Aug 1998 15:02:38 -0700

festlex-cmu (1.2.1-2) unstable; urgency=low

  * Fix minor lintain errors.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 11 Mar 1998 22:45:39 -0800

festlex-cmu (1.2.1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 26 Oct 1997 22:12:44 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: festlex-cmu
Section: sound
Priority: optional
Maintainer: Debian TTS team <tts-project@lists.alioth.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Standards-Version: 4.0.0
Build-Depends-Indep: debhelper (>= 10~),
 festival
Homepage: http://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: https://git.dgit.debian.org/festlex-cmu
Vcs-Browser: https://browse.dgit.debian.org/festlex-cmu.git

Package: festlex-cmu
Architecture: all
Depends: festival,
 ${misc:Depends}
Description: CMU dictionary for Festival
 This is the CMU dictionary in Festival form.
 It is required for American English voices.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) -C lib/dicts/cmu

=== debian/watch ===
version=4
# Note that a "new" version doesn't seem to imply new content.
opts="filenamemangle=s#.*/festival/@ANY_VERSION@/festlex_CMU#@PACKAGE@_$1#" \
  http://festvox.org/packed/festival/@ANY_VERSION@/ festlex_CMU@ARCHIVE_EXT@
